cURL
curl --request GET \
--url https://api.recoupable.com/api/segment/fans \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/segment/fans"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/segment/fans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"fans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatar": "<string>",
"profile_url": "<string>",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_name": "<string>",
"fan_social_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"error": "<string>"
}Segment
Get Segment Fans
Retrieve all social profiles from fans within a specific segment. This endpoint should be called after obtaining segment IDs from the Artist Segments endpoint. Supports pagination for large fan lists.
GET
/
api
/
segment
/
fans
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the segment to fetch fans for
The page number to retrieve (default: 1)
The number of records per page (default: 20, max: 100)
Required range:
x <= 100